Prints XML output of the test to a specified Writer

author | Michiel Rook
version | $Id: 3d9c47a29ded9b67b3a3e10c55602b0ab2a9ea38 $
package | phing.tasks.ext.formatter
since | 2.1.0

### Methods

## Constructor

    __construct(\PHPUnitTask $parentTask)

### Parameters

#### $parentTask

`\PHPUnitTask`

Calling Task

## addError()

    addError(\PHPUnit_Framework_Test $test, \Exception $e, $time)

### Parameters

#### $test

#### $e

#### $time

## addFailure()

    addFailure(\PHPUnit_Framework_Test $test, \PHPUnit_Framework_AssertionFailedError $e, $time)

### Parameters

#### $test

#### $e

#### $time

## addIncompleteTest()

    addIncompleteTest(\PHPUnit_Framework_Test $test, \Exception $e, $time)

### Parameters

#### $test

#### $e

#### $time

## addSkippedTest()

    addSkippedTest(\PHPUnit_Framework_Test $test, \Exception $e, $time)

Inherited

inherited_from | \PHPUnitResultFormatter::addSkippedTest()

### Parameters

#### $test

#### $e

#### $time

## endTest()

    endTest(\PHPUnit_Framework_Test $test, $time)

### Parameters

#### $test

#### $time

## endTestRun()

    endTestRun()

## endTestSuite()

    endTestSuite(\PHPUnit_Framework_TestSuite $suite)

### Parameters

#### $suite

## getElapsedTime()

    getElapsedTime()

Inherited

inherited_from | \PHPUnitResultFormatter::getElapsedTime()

## getErrorCount()

    getErrorCount()

Inherited

inherited_from | \PHPUnitResultFormatter::getErrorCount()

## Returns the extension used for this formatter

    getExtension() : string

### Returns

`string`the extension

## getFailureCount()

    getFailureCount()

Inherited

inherited_from | \PHPUnitResultFormatter::getFailureCount()

## getIncompleteCount()

    getIncompleteCount()

Inherited

inherited_from | \PHPUnitResultFormatter::getIncompleteCount()

## getPreferredOutfile()

    getPreferredOutfile()

## getRunCount()

    getRunCount()

Inherited

inherited_from | \PHPUnitResultFormatter::getRunCount()

## getSkippedCount()

    getSkippedCount()

Inherited

inherited_from | \PHPUnitResultFormatter::getSkippedCount()

## processResult()

    processResult(\PHPUnit_Framework_TestResult $result)

Inherited

inherited_from | \PHPUnitResultFormatter::processResult()

### Parameters

#### $result

## Sets the writer the formatter is supposed to write its results to.

    setOutput(\Writer $out)

Inherited

inherited_from | \PHPUnitResultFormatter::setOutput()

### Parameters

#### $out

## startTest()

    startTest(\PHPUnit_Framework_Test $test)

### Parameters

#### $test

## startTestRun()

    startTestRun()

Inherited

inherited_from | \PHPUnitResultFormatter::startTestRun()

## startTestSuite()

    startTestSuite(\PHPUnit_Framework_TestSuite $suite)

### Parameters

#### $suite

## getMicrotime()

    getMicrotime()

Inherited

inherited_from | \PHPUnitResultFormatter::getMicrotime()

### Properties

##

    $out

Inherited

inherited_from | \PHPUnitResultFormatter::$$out

##

    $project

Inherited

inherited_from | \PHPUnitResultFormatter::$$project

##

    $errorCounts

Inherited

inherited_from | \PHPUnitResultFormatter::$$errorCounts

##

    $failureCounts

Inherited

inherited_from | \PHPUnitResultFormatter::$$failureCounts

##

    $incompleteCounts

Inherited

inherited_from | \PHPUnitResultFormatter::$$incompleteCounts

##

    $logger : \PHPUnit_Util_Log_JUnit

##

    $runCounts

Inherited

inherited_from | \PHPUnitResultFormatter::$$runCounts

##

    $skipCounts

Inherited

inherited_from | \PHPUnitResultFormatter::$$skipCounts

##

    $timers

Inherited

inherited_from | \PHPUnitResultFormatter::$$timers